scala.io.Source

# NoPositioner

#### object NoPositioner extends Positioner

Source
  Source.scala

Linear Supertypes
Positioner, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NoPositioner
2. Positioner
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### var ccol: Int

   Definition Classes
     Positioner

6. #### var ch: Char

   the last character returned by next.

   the last character returned by next.

   Definition Classes
     Positioner

7. #### var cline: Int

   current line and column

   current line and column

   Definition Classes
     Positioner

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def next(): Char

    Definition Classes
      NoPositioner → Positioner

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### var pos: Int

    position of last character returned by next

    position of last character returned by next

    Definition Classes
      Positioner

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### var tabinc: Int

    default col increment for tabs '\t', set to 4 initially

    default col increment for tabs '\t', set to 4 initially

    Definition Classes
      Positioner

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Positioner

### Inherited from AnyRef

### Inherited from Any

### Ungrouped